org.sonatype.maven.polyglot

## Class PolyglotModelTranslator

- java.lang.Object
- - org.sonatype.maven.polyglot.PolyglotModelTranslator

-     @Component(role=PolyglotModelTranslator.class)
      public class PolyglotModelTranslator
      extends java.lang.Object

  Translates between polyglot model formats.
  Since:
    0.7
  Author:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.codehaus.plexus.logging.Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolyglotModelTranslator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `translate(java.io.File input, java.io.File output)`
    `void` | `translate(java.io.File input, java.util.Map<java.lang.String,?> inputOptions, java.io.File output, java.util.Map<java.lang.String,?> outputOptions)`
    `void` | `translate(java.io.InputStream input, java.util.Map<java.lang.String,?> inputOptions, java.io.OutputStream output, java.util.Map<java.lang.String,?> outputOptions)`
    `void` | `translate(java.io.Reader input, java.util.Map<java.lang.String,?> inputOptions, java.io.Writer output, java.util.Map<java.lang.String,?> outputOptions)`
    `void` | `translate(java.net.URL input, java.util.Map<java.lang.String,?> inputOptions, java.net.URL output, java.util.Map<java.lang.String,?> outputOptions)`
    `void` | `translate(java.net.URL input, java.net.URL output)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          @Requirement
          protected org.codehaus.plexus.logging.Logger log

  - ### Constructor Detail

    - #### PolyglotModelTranslator

          public PolyglotModelTranslator()

  - ### Method Detail

    - #### translate

          public void translate(java.io.File input,
                       java.io.File output)
                         throws java.io.IOException,
                                org.apache.maven.model.io.ModelParseException

      Throws:
        `java.io.IOException`
        `org.apache.maven.model.io.ModelParseException`

    - #### translate

          public void translate(java.io.File input,
                       java.util.Map<java.lang.String,?> inputOptions,
                       java.io.File output,
                       java.util.Map<java.lang.String,?> outputOptions)
                         throws java.io.IOException,
                                org.apache.maven.model.io.ModelParseException

      Throws:
        `java.io.IOException`
        `org.apache.maven.model.io.ModelParseException`

    - #### translate

          public void translate(java.net.URL input,
                       java.net.URL output)
                         throws java.io.IOException,
                                org.apache.maven.model.io.ModelParseException

      Throws:
        `java.io.IOException`
        `org.apache.maven.model.io.ModelParseException`

    - #### translate

          public void translate(java.net.URL input,
                       java.util.Map<java.lang.String,?> inputOptions,
                       java.net.URL output,
                       java.util.Map<java.lang.String,?> outputOptions)
                         throws java.io.IOException,
                                org.apache.maven.model.io.ModelParseException

      Throws:
        `java.io.IOException`
        `org.apache.maven.model.io.ModelParseException`

    - #### translate

          public void translate(java.io.InputStream input,
                       java.util.Map<java.lang.String,?> inputOptions,
                       java.io.OutputStream output,
                       java.util.Map<java.lang.String,?> outputOptions)
                         throws java.io.IOException,
                                org.apache.maven.model.io.ModelParseException

      Throws:
        `java.io.IOException`
        `org.apache.maven.model.io.ModelParseException`

    - #### translate

          public void translate(java.io.Reader input,
                       java.util.Map<java.lang.String,?> inputOptions,
                       java.io.Writer output,
                       java.util.Map<java.lang.String,?> outputOptions)
                         throws java.io.IOException,
                                org.apache.maven.model.io.ModelParseException

      Throws:
        `java.io.IOException`
        `org.apache.maven.model.io.ModelParseException`